/**
 * AGUA Copyright (C) 2023  Atix Labs
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 * 
 * You should have received a copy of the GNU Affero General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

@import 'css/general_styling';
@import 'css/_variables.scss';

.hero {
  border-radius: 0 0 0 40px;

  display: flex;
  justify-content: center;
  flex-direction: column;
  background-size: cover;
  background-position: center;
  height: 100%;
  gap: 16px;
  width: 100%;

  .content {
    display: flex;
    flex-direction: column;
    gap: 30px;
    align-items: flex-start;
    width: 100%;

    .text {
      display: flex;
      flex-direction: column;
      gap: 20px;
      margin-bottom: 30px;
      h3 {
        font-family: 'Rubik', sans-serif;
        font-style: normal;
        font-weight: 500;
        font-size: 24px;
        line-height: 28px;
        color: #ffffff;
      }

      h1 {
        font-family: 'Rubik', sans-serif;
        font-style: normal;
        font-weight: 700;
        font-size: 40px;
        line-height: 43px;
        color: #ffffff;
      }
    }
  }

  .bottom {
    display: flex;
    flex-direction: column;

    .backoffice {
      display: flex;
      flex-direction: column;
      justify-content: space-between;
      gap: 2.5rem;
      @include breakpoint(md) {
        flex-direction: row;
      }
    }
  }
}

.scrolledHero {
  @include respond(desktop) {
    gap: 0;
    .content {
      gap: 0;
      .text {
        gap: 0;
        margin-bottom: 0.5rem;
        h3 {
          font-size: 1rem !important;
        }
        h1 {
          font-size: 1.875rem !important;
        }
      }
    }
    .bottom {
      .backoffice {
        flex-direction: row;
        height: 50%;
        .download {
          flex-direction: column-reverse;
        }
      }
      .a-projectHeroDetail__text {
        gap: 0;
      }
    }
  }
}
